## visad
Class DelaunayFast

    java.lang.Object
      visad.Delaunay
          visad.DelaunayFast

All Implemented Interfaces:
  Serializable

public class DelaunayFast
extends Delaunay

DelaunayFast is a method of finding an imperfect triangulation or tetrahedralization of a set of samples of R^2 or R^3. It provides a substantial speed increase over the true Delaunay triangulation algorithms.

See Also:
  Serialized Form

Field Summary
`static double` `ROTATE` Number of radians to rotate points before triangulating

Fields inherited from class visad.Delaunay
`Edges, NumEdges, Tri, Vertices, Walk`

Constructor Summary
`DelaunayFast(float[][] samples)` construct an approximate Delaunay triangulation of the points in the samples array using Curtis Rueden's algorithm

Method Summary
`static void` `main(String[] argv)` Illustrates the speed increase over other Delaunay algorithms

Methods inherited from class visad.Delaunay
`clone, factory, finish_triang, getNonConvex, improve, perturb, sampleString, scale, setNonConvex, test, test, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ROTATE

    public static final double ROTATE

  Number of radians to rotate points before triangulating

  See Also:
    Constant Field Values

Constructor Detail

### DelaunayFast

    public DelaunayFast(float[][] samples)
                 throws VisADException

  construct an approximate Delaunay triangulation of the points in the samples array using Curtis Rueden's algorithm

Parameters:
  `samples` - locations of points for topology - dimensioned float[dimension][number_of_points]
Throws:
  `VisADException` - a VisAD error occurred

Method Detail

### main

    public static void main(String[] argv)
                     throws VisADException

  Illustrates the speed increase over other Delaunay algorithms

  Parameters:
    `argv` - command line arguments
  Throws:
    `VisADException` - a VisAD error occurred